jQuery(document).ready(function ($) {
    // When the notice is dismissed
    $(document).on('click', '.expert-business-advisor-notice .notice-dismiss', function () {
        $.post(ajaxurl, {
            action: 'expert_business_advisor_dismiss_notice'
        });
    });
});